Bug 11127 - периодический фриз всей системы на пару секунд
: периодический фриз всей системы на пару секунд
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/kernel-image-std-pae)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2007-03-16 22:42 by
Modified: 2008-07-12 23:44 (History)


Attachments
вывод lspci -vvxxx с проблемной машины (42.70 KB, text/plain)
2007-06-27 22:38, Andrew G. Klepcha
no flags Details
содержимое /proc/interrupts с проблемной машины (903 bytes, text/plain)
2007-06-27 22:39, Andrew G. Klepcha
no flags Details
lspci и interrupts с беспроблемной машины. (40.33 KB, application/octet-stream)
2007-06-28 01:41, Michael A. Kangin
no flags Details


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-03-16 22:42:03
материнская плата: GIGABYTE GA-965p DS3
привод: NEC DVD_RW ND-4570A, ATAPI CD/DVD-ROM drive

в /var/log/messages присутствует такое:

Mar 16 21:27:05 localhost kernel: hda: cdrom_pc_intr: The drive appears confused
(ireason = 0x01). Trying to recover by ending request.
Mar 16 21:27:10 localhost kernel: hda: status error: status=0x58 { DriveReady
SeekComplete DataRequest }
Mar 16 21:27:10 localhost kernel: ide: failed opcode was: unknown
Mar 16 21:27:10 localhost kernel: hda: drive not ready for command
Mar 16 21:27:10 localhost kernel: hda: status timeout: status=0xd8 { Busy }
Mar 16 21:27:10 localhost kernel: ide: failed opcode was: unknown
Mar 16 21:27:10 localhost kernel: hda: drive not ready for command
Mar 16 21:27:10 localhost kernel: hda: ATAPI reset complete

при работе с модулем pata_jmicron (из самосборного 2.6.19) все OK
------- Comment #1 From 2007-03-17 10:00:18 -------
Такого не замечено за 4 дня работы.
Правда, у меня по устройствам немного по-другому:

hda: Maxtor 2F030J0, ATA DISK drive
hdb: _NEC CD-RW NR-9100A, ATAPI CD/DVD-ROM drive
ядро 2.6.18-std-smp-alt4
мать GIGABYTE GA-965_g_ DS3
------- Comment #2 From 2007-03-17 20:02:39 -------
(In reply to comment #1)
> Такого не замечено за 4 дня работы.
> Правда, у меня по устройствам немного по-другому:
> 
> hda: Maxtor 2F030J0, ATA DISK drive
> hdb: _NEC CD-RW NR-9100A, ATAPI CD/DVD-ROM drive
> ядро 2.6.18-std-smp-alt4
> мать GIGABYTE GA-965_g_ DS3

а в логах нет сообщений похожих на те, что у меня? 
не может быть, что вы этого просто не замечаете? неплохо наблюдается, когда
музыка постоянно играет
------- Comment #3 From 2007-06-27 21:51:00 -------
Встречается информация, что на некоторых платах подобные проблемы пропадали
после обновления BIOS.

Представляет интерес вывод lspci -vvxxx и содержимое /proc/interrupts как с
проблемной машины, так и с машин, где проблема вроде бы не проявляется.
(Добавлять через "Create a New Attachment", а не вставкой прямо в текст.)
------- Comment #4 From 2007-06-27 22:38:45 -------
Created an attachment (id=2058) [details]
вывод lspci -vvxxx с проблемной машины
------- Comment #5 From 2007-06-27 22:39:41 -------
Created an attachment (id=2059) [details]
содержимое /proc/interrupts с проблемной машины
------- Comment #6 From 2007-06-27 22:48:14 -------
(In reply to comment #3)
> Встречается информация, что на некоторых платах подобные проблемы пропадали
> после обновления BIOS.
да, я уже и сам подумывал о том, чтобы перепрошиться, однако уверенности не было
да и хотел дождаться реакции gigabyte на
http://www.rage3d.com/board/showthread.php?threadid=33889730 чтобы уж заодно
одним биосом двух зайцев :)
------- Comment #7 From 2007-06-28 01:37:22 -------
> а в логах нет сообщений похожих на те, что у меня? 

Нету.

> не может быть, что вы этого просто не замечаете? неплохо наблюдается, когда
> музыка постоянно играет

музыка у меня там не играет, там (хихихи) рутер.
------- Comment #8 From 2007-06-28 01:41:31 -------
Created an attachment (id=2060) [details]
lspci и interrupts с беспроблемной машины.
------- Comment #9 From 2007-12-10 21:24:22 -------
1) BIOS обновили?
2) попробуйте не pae, а smp
------- Comment #10 From 2007-12-10 23:12:15 -------
(In reply to comment #9)
> 1) BIOS обновили?
> 2) попробуйте не pae, а smp

1) обновил -- все по прежнему (правда теперь у меня графическая заставка при
включении компа :) )
2) на тот момент пробовал и то и другое -- результат один. за изменениями в
ядрах стараюсь следить пока ничего не видел похожего на исправление. буду
пробовать 2.6.24 как в сизифе появится. а теперяшнее 2.6.18 не подходит еще и
из-за дров нвидевских 100.xx.19...
------- Comment #11 From 2007-12-11 00:19:10 -------
IMHO лучше пробуйте .24, не дожидаясь попадания в сизиф, но посоветовавшись со
сборщиком...
------- Comment #12 From 2007-12-11 21:35:10 -------
(In reply to comment #11)
> IMHO лучше пробуйте .24, не дожидаясь попадания в сизиф, но посоветовавшись со
> сборщиком...

nvidia 100.14.19 мешает и там
------- Comment #13 From 2008-06-13 13:00:39 -------
*** This bug has been confirmed by popular vote. ***
------- Comment #14 From 2008-07-11 14:27:28 -------
Проблема ещё существует?
------- Comment #15 From 2008-07-12 23:31:00 -------
(In reply to comment #14)
> Проблема ещё существует?
нет. начиная со самосбора 2.6.20 и выше -- все нормально.
штатные альтовские 2.6.24 -- тоже нормально
------- Comment #16 From 2008-07-12 23:44:35 -------
Ну значит fixed